# SIPSubscribe::Params Struct Reference

`#include <sippdu.h>`

Inheritance diagram for SIPSubscribe::Params:

[legend]
Collaboration diagram for SIPSubscribe::Params:
[legend]

## Public Member Functions

| Params (PredefinedPackages pkg=NumPredefinedPackages)
| Params (const Params &param)

## Data Fields

PCaselessString & | m_agentAddress
EventPackage | m_eventPackage
bool | m_eventList
PCaselessString | m_contentType
PNotifierTemplate< const SubscriptionStatus & > | m_onSubcribeStatus
PNotifierTemplate< NotifyCallbackInfo & > | m_onNotify

## Constructor & Destructor Documentation

SIPSubscribe::Params::Params | ( | PredefinedPackages | pkg = `NumPredefinedPackages` | ) | `[inline]`

SIPSubscribe::Params::Params | ( | const Params & | param | ) | `[inline]`

## Field Documentation

PCaselessString& SIPSubscribe::Params::m_agentAddress

PCaselessString SIPSubscribe::Params::m_contentType

bool SIPSubscribe::Params::m_eventList

EventPackage SIPSubscribe::Params::m_eventPackage

PNotifierTemplate<NotifyCallbackInfo &> SIPSubscribe::Params::m_onNotify

PNotifierTemplate<const SubscriptionStatus &> SIPSubscribe::Params::m_onSubcribeStatus

The documentation for this struct was generated from the following file:

- sippdu.h